﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SmartPDA.Windows.Forms;

namespace NullScrollRunner
{
	public partial class NullScrollRunner_20 : Form
	{
		public NullScrollRunner_20()
		{
			InitializeComponent();
		}
		
		private void MenuExit_Click(object sender, EventArgs e)
		{
			this.Close();
		}

		NullScroll scroll;

		private void NullScrollRunner_Load(object sender, EventArgs e)
		{
			this.scroll = new NullScroll();
			this.scroll.Excludes.Add(this.checkBox1);
			this.scroll.ExcludeTypes.Add(typeof(ListBox));
			this.scroll.Setup(this);
			this.Setup = true;
			this.Release_Button.Focus();
		}

		bool Setup;

		private void Release_Button_Click(object sender, EventArgs e)
		{
			if (Setup)
				this.scroll.Release();
			else
				this.scroll.Setup(this);

			Setup = Setup ? false : true;
		}
		
	}

}